> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/query-analytics-and-operations/monitoring-and-reporting/platform-monitoring.md).

# Platform Monitoring

Operations for monitoring ingestion, resource consumption, and datamart collection sizes.

## GET /platform\_monitoring/resources\_usage/metrics

> Fetch datamart resource consumption available metrics

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/resources_usage/metrics":{"get":{"summary":"Fetch datamart resource consumption available metrics","parameters":[{"required":true,"explode":true,"in":"query","style":"form","schema":{"type":"string"},"name":"datamart_id"}],"tags":["Platform Monitoring"],"operationId":"getDatamartResourceConsumptionMetrics","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatamartResourceConsumptionMetricList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"DatamartResourceConsumptionMetricList":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["metrics"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/data\_ingestion/dimensions

> Fetch pipeline ingestion analytics dimensions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/data_ingestion/dimensions":{"get":{"parameters":[{"name":"datamart_id","in":"query","schema":{"type":"string"},"required":true,"style":"form","explode":true}],"description":"","tags":["Platform Monitoring"],"summary":"Fetch pipeline ingestion analytics dimensions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PipelineIngestionDimensionList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getPipelineIngestionMetricsDimensions"}}},"components":{"schemas":{"PipelineIngestionDimensionList":{"type":"object","properties":{"dimensions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["dimensions"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/resources\_usage/dimensions

> Fetch datamart resource consumption dimensions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/resources_usage/dimensions":{"get":{"parameters":[{"style":"form","schema":{"type":"string"},"required":true,"name":"datamart_id","in":"query","explode":true}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatamartResourceConsumptionDimensionList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDatamartResourceConsumptionDimensions","summary":"Fetch datamart resource consumption dimensions","tags":["Platform Monitoring"],"description":""}}},"components":{"schemas":{"DatamartResourceConsumptionDimensionList":{"type":"object","properties":{"dimensions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["dimensions"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/data\_ingestion/metrics

> Fetch pipeline ingestion analytics available metrics

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/data_ingestion/metrics":{"get":{"description":"","summary":"Fetch pipeline ingestion analytics available metrics","operationId":"getPipelineIngestionMetricsMetrics","tags":["Platform Monitoring"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PipelineIngestionMetricList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"form","required":true,"schema":{"type":"string"},"in":"query","explode":true,"name":"datamart_id"}]}}},"components":{"schemas":{"PipelineIngestionMetricList":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["metrics"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /platform\_monitoring/data\_ingestion

> get metrics about the number of events ingested

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/data_ingestion":{"post":{"tags":["Platform Monitoring"],"operationId":"getPipelineIngestionMetrics","summary":"get metrics about the number of events ingested","requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]},"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /platform\_monitoring/resources\_usage

> get metrics about datamart resource consumption

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/resources_usage":{"post":{"description":"","summary":"get metrics about datamart resource consumption","operationId":"getDatamartResourceConsumption","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"tags":["Platform Monitoring"]}}},"components":{"schemas":{"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/collections/metrics

> Fetch datamart collection sizes available metrics

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/collections/metrics":{"get":{"tags":["Platform Monitoring"],"operationId":"getDatamartCollectionSizesMetrics","parameters":[{"required":true,"name":"datamart_id","explode":true,"style":"form","schema":{"type":"string"},"in":"query"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatamartCollectionSizesMetricList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Fetch datamart collection sizes available metrics","description":""}}},"components":{"schemas":{"DatamartCollectionSizesMetricList":{"type":"object","properties":{"metrics":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["metrics"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /platform\_monitoring/collections/dimensions

> Fetch datamart collection sizes dimensions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/collections/dimensions":{"get":{"parameters":[{"name":"datamart_id","style":"form","explode":true,"required":true,"schema":{"type":"string"},"in":"query"}],"tags":["Platform Monitoring"],"summary":"Fetch datamart collection sizes dimensions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DatamartCollectionSizesDimensionList"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDatamartCollectionSizesDimensions","description":""}}},"components":{"schemas":{"DatamartCollectionSizesDimensionList":{"type":"object","properties":{"dimensions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false}},"required":["dimensions"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /platform\_monitoring/collections

> get metrics about datamart collection sizes

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Platform Monitoring","description":"Operations for monitoring ingestion, resource consumption, and datamart collection sizes."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/platform_monitoring/collections":{"post":{"requestBody":{"description":"A report containing the dimensions and metrics you want to query, following the mediarithmics Data Cube API","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportRequestBody"}}},"required":true},"tags":["Platform Monitoring"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReportView"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDatamartCollectionSizes","summary":"get metrics about datamart collection sizes","description":""}}},"components":{"schemas":{"ReportRequestBody":{"type":"object","properties":{"dimensions":{"type":"array","items":{"$ref":"#/components/schemas/Dimension"},"readOnly":false},"sample_factor":{"type":"integer","format":"int32","default":0,"readOnly":false},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/Metric"},"readOnly":false},"dimension_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/DimensionFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"order_by":{"$ref":"#/components/schemas/OrderBy"},"max_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"metric_filter_clauses":{"type":"object","properties":{"operator":{"$ref":"#/components/schemas/BooleanOperator"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/MetricFilter"},"readOnly":false}},"readOnly":false,"required":["filters","operator"]},"first_result":{"type":"integer","format":"int32","default":0,"readOnly":false},"date_ranges":{"type":"array","items":{"$ref":"#/components/schemas/DateRange"},"readOnly":false}},"required":["date_ranges","dimensions","metrics"]},"Dimension":{"type":"object","properties":{"name":{"type":"string","readOnly":false}},"required":["name"]},"Metric":{"type":"object","properties":{"expression":{"type":"string","readOnly":false},"alias":{"type":"string","readOnly":false},"formatting_type":{"$ref":"#/components/schemas/FormattingType"}},"required":["expression"]},"FormattingType":{"type":"string","enum":["INTEGER","FLOAT","TIME","PERCENT"],"readOnly":false},"BooleanOperator":{"type":"string","enum":["OR","AND"],"readOnly":false},"DimensionFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"dimension_name":{"type":"string","readOnly":false},"case_sensitive":{"type":"boolean","default":false,"readOnly":false},"expressions":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"operator":{"$ref":"#/components/schemas/DimensionFilterOperator"},"not":{"type":"boolean","default":false,"readOnly":false}},"required":["dimension_name","expressions","operator"]}]},"Filter":{"type":"object"},"DimensionFilterOperator":{"type":"string","enum":["EXACT","NUMERIC_EQUAL","NUMERIC_GREATER_THAN","NUMERIC_LESS_THAN","IN_LIST","IS_NULL","LIKE"],"readOnly":false},"OrderBy":{"type":"object","properties":{"field_name":{"type":"string","readOnly":false},"sort_order":{"$ref":"#/components/schemas/SortBy"}},"required":["field_name"]},"SortBy":{"type":"string","enum":["ASCENDING","DESCENDING"],"readOnly":false},"MetricFilter":{"allOf":[{"$ref":"#/components/schemas/Filter"},{"type":"object","properties":{"metric_name":{"type":"string","readOnly":false},"not":{"type":"boolean","default":false,"readOnly":false},"operator":{"$ref":"#/components/schemas/MetricFilterOperator"},"comparison_value":{"type":"string","readOnly":false}},"required":["comparison_value","metric_name","operator"]}]},"MetricFilterOperator":{"type":"string","enum":["EQUAL","GREATER_THAN","LESS_THAN"],"readOnly":false},"DateRange":{"type":"object","properties":{"start_date":{"type":"string","readOnly":false},"end_date":{"type":"string","readOnly":false},"timezone":{"type":"string","readOnly":false}},"required":["end_date","start_date"]},"ReportView":{"type":"object","properties":{"items_per_page":{"type":"integer","format":"int32","default":0,"readOnly":false},"total_items":{"type":"integer","format":"int32","default":0,"readOnly":false},"columns_headers":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"rows":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/Any"},"readOnly":false},"readOnly":false}},"required":["columns_headers","items_per_page","rows","total_items"]},"Any":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/query-analytics-and-operations/monitoring-and-reporting/platform-monitoring.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
